Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi
Interface RemoteReportSheetInfo

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteReportSheetInfo

extends java.rmi.Remote

Interface `RemoteReportSheetInfo` contains information about the report sheets of a report set.

Method Summary
`BurstingRecipientInfo` | `getBurstingRecipientInfo()` Deprecated. As of version 9, replaced by `getBurstingRecipientInfos()`.
`RemoteBurstingSchemaInfo[]` | `getBurstingSchemaInfos()` Gets all `RemoteBurstingSchemaInfo`s that are defined in the report.
`java.lang.String` | `getDesc()` Returns the description of the report.
`java.lang.String` | `getDisplayName()` Returns the display name of the report.
`int` | `getExportFormat()` Gets the default export format which is defined in the report.
`java.util.Hashtable` | `getExportOptionProperties()` Gets the settings of the default export format options which are defined in the report.
`java.lang.String[]` | `getFormatStyleGroups()` Returns the StyleGroup array of all formats, each element representing an export StyleGroup of a special format.
`java.lang.String` | `getName()` Returns the name of the report.
`java.util.Vector` | `getParamInfosByValueForRecipient(java.lang.String paramName, java.lang.String value, java.lang.String paramEngineId)` Deprecated. As of version 9, replaced by `BurstingSchemaInfo.getParamInfosByValueForRecipient()`.
`java.util.Vector` | `getParamInfosForRecipient()` Deprecated. As of version 9, replaced by `RemoteBurstingSchemaInfo.getParamInfosForRecipient()`.
`boolean` | `isBurstingReport()` Checks if the report is a bursting report.
`boolean` | `isPrecisionSensitive()` Returns whether the report is precision sensitive. If `true`, the report can be exported according to the runtime precision, and the Engine can do necessary layout to match the requested precision.

Method Detail

### getName

    java.lang.String getName()
                             throws java.rmi.RemoteException

  Returns the name of the report.

  Returns:
    the name of the report.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution..

### getDisplayName

    java.lang.String getDisplayName()
                                    throws java.rmi.RemoteException

  Returns the display name of the report.

  Returns:
    the display name of the report
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution..

### getDesc

    java.lang.String getDesc()
                             throws java.rmi.RemoteException

  Returns the description of the report.

  Returns:
    the description of the report.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution..

### isPrecisionSensitive

    boolean isPrecisionSensitive()
                                 throws java.rmi.RemoteException

  Returns whether the report is precision sensitive.
  If `true`, the report can be exported according to the runtime precision, and the Engine can do necessary layout to match the requested precision.

  Returns:
    whether the report is precision sensitive.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution..

### getFormatStyleGroups

    java.lang.String[] getFormatStyleGroups()
                                            throws java.rmi.RemoteException

  Returns the StyleGroup array of all formats, each element representing an export StyleGroup of a special format.
  Use the format (`CSUtil.NORMAL`, `CSUtil.HTML`, etc.) as index to get the corresponding StyleGroup.

  Returns:
    the StyleGroup array of all formats.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution..

### isBurstingReport

    boolean isBurstingReport()
                             throws java.rmi.RemoteException

  Checks if the report is a bursting report.

  Returns:
    true if the report is a bursting report.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution..
  Since:
    version 8.2

### getBurstingRecipientInfo

    BurstingRecipientInfo getBurstingRecipientInfo()
                                                   throws java.rmi.RemoteException

  Deprecated. As of version 9, replaced by `getBurstingRecipientInfos()`.

  Gets `BurstingRecipientInfo` which is associated with the report. It contains bursting recipient information defined in the report.

  Returns:
    A `BurstingRecipientInfo` object if `isBurstingReport()` returns true. The returned value is the first element of the `BurstingRecipientInfo` array that is returned by the method `getBurstingRecipientInfos()`, otherwise return `null`
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution..
  Since:
    version 8.2

### getBurstingSchemaInfos

    RemoteBurstingSchemaInfo[] getBurstingSchemaInfos()
                                                      throws java.rmi.RemoteException

  Gets all `RemoteBurstingSchemaInfo`s that are defined in the report.

  Returns:
    A `RemoteBurstingSchemaInfo` object array if `isBurstingReport()` returns true, otherwise return `null`
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution..
  Since:
    version 9

### getParamInfosForRecipient

    java.util.Vector getParamInfosForRecipient()
                                               throws java.rmi.RemoteException

  Deprecated. As of version 9, replaced by `RemoteBurstingSchemaInfo.getParamInfosForRecipient()`.

  Gets the parameters for the query that retrieves recipient addresses.

  Returns:
    the parameters for the query. The `Vector` contains `RemoteParamInfo` objects.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution..
  Since:
    version 8.2
  See Also:
    `RemoteParamInfo`, `RemoteBurstingSchemaInfo`

### getParamInfosByValueForRecipient

    java.util.Vector getParamInfosByValueForRecipient(java.lang.String paramName,
                                                      java.lang.String value,
                                                      java.lang.String paramEngineId)
                                                      throws RptServerException,
                                                             java.rmi.RemoteException

  Deprecated. As of version 9, replaced by `BurstingSchemaInfo.getParamInfosByValueForRecipient()`.

  Returns the parameters for the query that retrieves recipient addresses according to the name and the value of a specific parameter. If the value is null, it applies the default value of the specific parameter. then it will return all parameters that depend on the specific parameter according to the value.
  If the name is null, the method will return null.

  Parameters:
    `paramName` - the parameter name.
    `value` - the value of the parameter.
    `paramEngineId` - the ID of the engine which generates the parameters.
  Returns:
    the parameters for the query that retrieves recipient addresses accordingly. The `Vector` contains `RemoteParamInfo` objects.
  Throws:
    `RptServerException` - if an RptServerException occurs.
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution..
  Since:
    version 8.2
  See Also:
    `RemoteRemoteParamInfo`, `RemoteBurstingSchemaInfo`

### getExportFormat

    int getExportFormat()
                        throws java.rmi.RemoteException

  Gets the default export format which is defined in the report.

  Returns:
    int value ranging from 0 (`APIConst.RST`) to 8 (`APIConst.DHTML`) if the default export format is defined in the report, otherwise return -1.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution..
  Since:
    version 9.1

### getExportOptionProperties

    java.util.Hashtable getExportOptionProperties()
                                                  throws java.rmi.RemoteException

  Gets the settings of the default export format options which are defined in the report.

  Returns:
    `Hashtable` which contains the settings of the default export format options if `getExportFormat()` returns a format (`APIConst.DHTML`, `APIConst.HTML`, etc.), otherwise return `null`.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution..
  Since:
    version 9.1

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD